Name:           ciano
Version:        0.2.4
Release:        1%{?dist}
Summary:        A multimedia file converter
License:        GPLv3+
URL:            https://robertsanseries.github.io/ciano
Source:         https://github.com/robertsanseries/ciano/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
##BuildRequires:  gettext-runtime >= 0.19.7
BuildRequires:  hicolor-icon-theme
BuildRequires:  meson >= 0.40.0
BuildRequires:  pkgconfig
BuildRequires:  vala
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
Requires:       ImageMagick
Requires:       ffmpeg

%description
A program to convert your multimedia files to contemporary formats.

%prep
%setup -q

sed -i 's/\bmetainfo\b/appdata/' $(grep -rwl 'metainfo')

%build
%meson
%meson_build

%install
%meson_install
%find_lang com.github.robertsanseries.ciano %{name}.lang

# dirlist HiDPI icons (see: hicolor/index.theme)
touch $PWD/dir.lst
_dirlist=$PWD/dir.lst
pushd %{buildroot}
find ./ | while read _list; do
    echo $_list | grep '[0-9]\@[0-9]' || continue
    _path=$(echo $_list | sed 's/[^/]//')
    if ! ls ${_path%/*}; then
        grep -xqs "\%dir\ ${_path%/*}" $_dirlist || echo "%dir ${_path%/*}" >> $_dirlist
    fi
done
popd

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/*.appdata.xml

%files -f %{name}.lang
%license LICENSE*
%doc AUTHORS README.md
%{_bindir}/com.github.robertsanseries.ciano
%dir %{_datadir}/appdata
%{_datadir}/appdata/com.github.robertsanseries.ciano.appdata.xml
%{_datadir}/applications/com.github.robertsanseries.ciano.desktop
%{_datadir}/glib-2.0/schemas/com.github.robertsanseries.ciano.gschema.xml
%{_datadir}/icons/hicolor/*/apps/com.github.robertsanseries.ciano.??g
%{_datadir}/pixmaps/com.github.robertsanseries.ciano.??g
%{_datadir}/ciano/

%changelog
* Wed Feb 24 2021 Martin Gansser <martinkg@fedoraproject.org> - 0.2.4-1
- Initial build
